Is this something easy I can do? Have my Macro Auto Open Upon Start Up?
Okay, so the simple macro i have been working on isnt just for personal use. We will use this macro all day long - but the issue is - my coworkers im sharing the macro with would prefer the macro open when program opens.
Now that i had set the macro's position down - how do i got about having the macro auto open upone start up.
How to develop an auto dimensioning macro for CorelDraw x3. I have seen this feature built in to FlexiSign Pro. This macro would save so much time and work with consistency!!! Is it doable?
Problem is that it doesn't type the text exactly as given. Randomly drops off the first few characters.Because hitting open defaults to the libraries instead of my server where the files are located.
When you hit open the cursor is already in the "File name:" field so if I just type the directory there and hit enter it takes me to that directory. Sure would be nice to just have it type that for me and enter. Had it working great for a few times but aftaerr navigating around for a bit it drops off those characters.
now that i am weeding myself off of my Intuous and using my Cintique as my mouse-source for both of my monitors, it is more important to have my macro (and other CorelDraw windows) open on my second monitor (where CorelDraw is).
presently, i have Ultramon to force-open Coreldraw onto my second monitor; but when i open a macro window (such as Select Same), it opens on my primary monitor.
is there a setting to change this? or (shiver) a line of code to add to the macro itself?
I have created an "addin" to monitor the "SAVE" & "NEW" button press on Inventor.What is the possibility of AutoDesk including this feature to the next release, or better still, creating a "patch" so that inventor can be upgraded to do it automatically, without the need to write an "addin"?
For Example,
If the user presses the "SAVE" button, AutoDesk Inventor would automatically look to see if a macro called "OnSave" exists. If it does, it "runs" the macro, if it does not exist, it works exactly as Inventor does now. This also would work in a similar way when pressing the "NEW" button.
I have a macro that automatically creates a Detailed view on a sheet. It works on 2 input's:
- mouse click 1 (set's the target to be detailed)
- mouse click 2 (set's the location where the balloon should be)
The code works fine. But sometimes the user will start another command, or restart the same command, while it is still running. This off course gives all kinds of problems.
Is there a possibility in VBA to prevent the user to start another command while this command is running?Or is this problem a part of the clicking itself?
Here is my (it uses a Class Module called: clsGetPoint, see code below) Sub AutoDetailedView() On Error GoTo ErrorManagment '(error handling 2013/02/18) 'step 0 Create a transaction. -> for 1 undo command Dim oTransMgr As TransactionManager Set oTransMgr = ThisApplication.TransactionManager Dim oTrans As Transaction Set oTrans = oTransMgr.StartTransaction(ThisApplication.ActiveDocument, "AutoDetailedView") 'step 1 Select a drawingView 'Set a reference to the drawing document. Dim oDrawDoc As DrawingDocument Set oDrawDoc = ThisApplication.ActiveDocument 'Set a reference to the active sheet. [code].....
I need a macro to auto label, with DIMLINEAR, the lines for Rafters with the lenghts. I have the Dimension Styles set up for each roof pitch, but need a macro to auto label the line instead of clicking each line individually. Also, I can't find a ROUNDUP feature in the Dimension Styles. I've got it to round to the nearest 2' but it won't go up....if it's 11' it goes to 10'...I need it to go to 12'.
I urgently need a program that can auto number panels for a large drawing I have. I have a lisp program for auto numbering but we need each insertion of text to start with a P i.e. P1, P2, P3 etc etc.
I'm trying to create a macro which will attach a custom sketched symbol with a leader to some specific parts in a view. By modifying some sample code I managed to create a macro which will attach the sketched symbol to the currently selected edge (see code below). However I would like to select the view and let the code cycle trough all the parts and check the filename or a custom iProperty. If the filename has a certain pattern or a specific custom iProperty exists it should add the sketched symbol. I don't really see how I should do this, I can get a reference to the selected view and as far as I can see I can use the referencedfiledescripter to open the assembly and cycle through the occurences. However I don't see how I can use this to add the sketched symbol to the occurence in the drawing view.
' Set a reference to the drawing document. ' This assumes a drawing document is active. Dim oDrawDoc As DrawingDocument Set oDrawDoc = ThisApplication.ActiveDocument ' Set a reference to the active sheet. Dim oActiveSheet As Sheet Set oActiveSheet = oDrawDoc.ActiveSheet ' Set a reference to the drawing curve segment. ' This assumes that a drwaing curve is selected. [Code] ......
Whenever he starts Photoshop up, all of his auto recovery files open. For example - when he goes to open a psd of a web design, he will get about 25 files opening with the title "JobName recovered".
I had a meander around the forums looking for possible fixes and information about the Auto Recovery feature, but so far have not been able to cure this ailment.
I have previously disabled the Auto Recovery feature as well as deleting the auto recovery files, yet this was only had a band-aid to amuptation effect. The auto recovery files have reappeared and are now opening again upon start up.
I created a macro for generate a PDF drawing, but when one file has been already created, AND he's already open, the macro don't work.
How to stop the macro automatically and notify that the macro has been stopped because the file is open.
Below, the current macro :
Sub PublishPDF()'Get the PDF translator Add-In.Dim PDFAddin As TranslatorAddInSet PDFAddin = ThisApplication.ApplicationAddIns.ItemById("{0AC6FD96-2F4D-42CE-8BE0-8AEA580399E4}")'Set a reference to the active document (the document to be published).Dim oDocument As DocumentSet oDocument = ThisApplication.ActiveDocumentDim oContext As TranslationContextSet oContext = ThisApplication.TransientObjects.CreateTranslationContextoContext.Type = kFileBrowseIOMechanism [Code] ....
This is a macro I've been working on for a few days, what it does is it applies the selected transformation to each one of the selected objects individually. It rotates, scales and flips in both axes. I think this is a simple but useful workaround to the fact that Corel doesn't have a native command that does this.
I have a VB script that I created in excel that does a number of things. At some point I want it to open a series of variable Draw documents based on names and paths from columns in an excel document. This part works fine. However, I also want to perform a macro, created in CorelDraw, on said files once opened. This macro also works fine. The issue I am having is getting Excel to tell Draw to run the macro. I wrote the line with the same syntax I would use for telling excel to run a Word macro. IDK.
Set CorelDrawApp = CreateObject("CorelDraw.Application.15") CorelDrawApp.Visible = True Dim i As Long
I work in a trophy shop running laser engravers. I'm looking for a macro that would select everything on a page, flip it vertically, and do so throughout a multi-page document - I just had to do that manually for an order of 236 acrylics (all in one multi-page file!) and it - well - was a bit tedious I can make a macro to select all and flip - but I'm lost when it comes to getting it done throughout a file, I can only get it to do that a page at a time.
The sublayers are all open when I open the document. I DREAD closing a document because I have HUNDREDS of layers that I have to close. Is this BUG really something that has been around for YEARS like others are saying?
so I've recorded a macro to find all drop shadows and seperate them from whatever they're attached to. Now my problems is how to deselect the objects leaving just the drop shadows selected
Sub Macro173() ActiveDocument.CreateShapeRangeFromArray(ActiveLayer.Shapes(3), ' ActiveLayer.Shapes(1)).Cut ActiveLayer.Paste Dim Paste1 As ShapeRange Set Paste1 = ActiveSelectionRange ActiveDocument.Undo ActiveDocument.Undo ActivePage.Shapes.All.CreateSelection ActiveSelection.Separate End Sub
I want to take the current document, convert to PDF using a profile I have saved, then create a new email message in Microsoft Outlook, attach the PDF that saw just created, and use the file name as the subject of the email (minus the file extension).
Bonus points for also selecting a signature that I have in Outlook. I know the PDF creation can happen, and I know I can save the file name to be passed on, but can I access Outlook from CorelDraw?
Current System: i3 3.07ghz, 3gb ram, Windows 7 32 bit with all updates and X6
use the interactive contour to create an inline. Cntrl+k (break apart). It works but leaves both selected. Now what I need it to do is deselect the outer rectangle leaving me with just the inner one still selected.
I have a macro that saves a file to a temp directory. Is it possible to use a macro to just "copy" that file to the clipboard and stop? I just want it available in the cliboard so I can navigate to where I want it then paste it. I then rename it. The directory will always be different as will the file name.